<?php
include_once "test-conn.php";


$qid=is_numeric($_GET['qid'])?$_GET['qid']:exit('No Qid!');
$result = mysql_query("SELECT * FROM {$tableqz}qqs where qid='{$qid}' and iszf>0 and sidzt=0 limit 1");
if($row=mysql_fetch_array($result)){
	$uin=$row['qq'];
	$sid=$row['sid'];
	$skey=$row['skey'];
	$p_skey=$row['p_skey'];
	$p_skey2=$row['p_skey2'];
	$do=$row['iszf'];
	$now=date("Y-m-d-H:i:s");
	@mysql_query("update {$tableqz}qqs set lastzf='$now',nextzf='$now' where qid='$qid'");
	include_once "qzone.class.php";
	$qzone=new qzone($uin,$sid,$skey,$p_skey,$p_skey2);
	foreach($shuos as $shuo){
			$appid=$shuo['comm']['appid'];
			$typeid=$shuo['comm']['feedstype'];
			$curkey=urlencode($shuo['comm']['curlikekey']);
			$uinkey=urlencode($shuo['comm']['orglikekey']);
			$touin=$shuo['userinfo']['user']['uin'];
			$from=$shuo['userinfo']['user']['from'];
			$abstime=$shuo['comm']['time'];
			$cellid=$shuo['id']['cellid'];
			$qzone->touin=$touin;
			
			$albumid='';$lloc='';$picheight=50;$picwidth=50;$fauin=$uin;
			}
	if($do==2){
		$hms=$qzone->zhuanfa(1,$touin,get_con($row['zfcon']));
	}else{
		
		
		$hms=$qzone->zhuanfa(0,$touin,get_con($row['zfcon']));
	}
	include_once "mail.php";
	print_r($hms);
}else{
	exit('请先开启说说转发功能');
}